Results 1 to 10 of 10

Thread: Can't open Yast BootLoader Menu

  1. #1
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Can't open Yast BootLoader Menu

    I'm unable to open Yast Bootloader. The error I'm getting is
    Details : Augeas parsing/serializing error: Get did not match entire input at /usr/share/augeas/lenses/dist/sysconfig.aug:63.12-.71:


    Caller: /usr/lib64/ruby/gems/2.1.0/gems/cfa-0.3.1/lib/cfa/augeaus_parser.rb:236:in 'report_error'

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,732

    Default AW: Can't open Yast BootLoader Menu

    Please post:
    Code:
    zypper lr -d
    Code:
    zypper se -si yast
    Use Code-Tags for the Output

  3. #3
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Re: Can't open Yast BootLoader Menu

    Many Thanks.Please find the details:
    Code:
    zypper lr -d
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    # | Alias                                 | Name                                                     | Enabled | GPG Check | Refresh | Priority
     | Type     | URI                                                                | Service
    --+---------------------------------------+----------------------------------------------------------+---------+-----------+---------+---------
    -+----------+--------------------------------------------------------------------+--------
    1 | Main Repository (NON-OSS)             | Main Repository (NON-OSS)                                | Yes     | (r ) Yes  | Yes     |   99    
     | yast2    | https://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |         
    2 | Main Repository (OSS)                 | Main Repository (OSS)                                    | Yes     | (r ) Yes  | Yes     |   99    
     | yast2    | https://download.opensuse.org/distribution/leap/42.3/repo/oss/     |         
    3 | code-1.18.0-1510145323.el7.x86_64.rpm | code-1.18.0-1510145323.el7.x86_64.rpm                    | Yes     | ( p) Yes  | No      |   99    
     | plaindir | dir:///tmp/mozilla_oo0                                             |         
    4 | openSUSE_Leap_42.3_NonFree_Update     | Online updates for openSUSE Leap 42.3 NonFree (standard) | Yes     | (r ) Yes  | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/update/leap/42.3/non-oss/             |         
    5 | openSUSE_Leap_42.3_Update             | Online updates for openSUSE Leap:42.3 (standard)         | Yes     | (r ) Yes  | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/update/leap/42.3/oss/ 
    
    Code:
    zypper se -si yast
    Loading repository data...
    Reading installed packages...
    
    S  | Name                           | Type        | Version                     | Arch   | Repository                                       
    ---+--------------------------------+-------------+-----------------------------+--------+-------------------------------------------------
    i+ | YaST                           | application |                             | noarch | Main Repository (OSS)                            
    i+ | autoyast2-installation         | package     | 3.2.22-3.1                  | noarch | Online updates for openSUSE Leap:42.3 (standard)
    i+ | patterns-openSUSE-kde_yast     | package     | 20170518-6.1                | x86_64 | Main Repository (OSS)                            
    i+ | patterns-openSUSE-yast2_basis  | package     | 20170518-6.1                | x86_64 | Main Repository (OSS)                            
    i+ | yast2                          | package     | 3.2.36-1.1                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-add-on                   | package     | 3.2.1-1.1                   | noarch | Main Repository (OSS)                            
    i+ | yast2-apparmor                 | package     | 3.2.0-1.1                   | noarch | Main Repository (OSS)                            
    i+ | yast2-auth-client              | package     | 3.3.13-6.2                  | noarch | Main Repository (OSS)                            
    i+ | yast2-bootloader               | package     | 3.2.24-3.1                  | x86_64 | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-branding-openSUSE        | package     | 3.2.3-1.1                   | noarch | Main Repository (OSS)                            
    i  | yast2-branding-openSUSE-Oxygen | package     | 3.2.3-1.1                   | noarch | Main Repository (OSS)                            
    i+ | yast2-control-center           | package     | 3.1.6-3.3                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-control-center-qt        | package     | 3.1.6-3.3                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-core                     | package     | 3.2.2-6.5                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-country                  | package     | 3.2.11-1.5                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-country-data             | package     | 3.2.11-1.5                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-firewall                 | package     | 3.2.0-1.1                   | noarch | Main Repository (OSS)                            
    i+ | yast2-fonts                    | package     | 3.1.18-6.1                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-hardware-detection       | package     | 3.1.8-11.4                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-inetd                    | package     | 3.1.13-3.3                  | noarch | Main Repository (OSS)                            
    i+ | yast2-installation             | package     | 3.2.47-1.1                  | noarch | Main Repository (OSS)                            
    i+ | yast2-iscsi-client             | package     | 3.1.30-3.5                  | noarch | Main Repository (OSS)                            
    i+ | yast2-journal                  | package     | 3.2.0-7.2                   | noarch | Main Repository (OSS)                            
    i+ | yast2-ldap                     | package     | 3.1.14-8.5                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-mail                     | package     | 3.1.11-1.4                  | noarch | Main Repository (OSS)                            
    i+ | yast2-metapackage-handler      | package     | 3.1.4-9.3                   | noarch | Main Repository (OSS)                            
    i+ | yast2-network                  | package     | 3.2.34-3.1                  | noarch | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-nfs-client               | package     | 3.1.17-3.4                  | noarch | Main Repository (OSS)                            
    i+ | yast2-nfs-common               | package     | 3.1.9-3.4                   | noarch | Main Repository (OSS)                            
    i+ | yast2-nis-client               | package     | 3.2.1-1.1                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-ntp-client               | package     | 3.2.14-3.1                  | noarch | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-online-update            | package     | 3.1.11-8.3                  | noarch | Main Repository (OSS)                            
    i+ | yast2-online-update-frontend   | package     | 3.1.11-8.3                  | noarch | Main Repository (OSS)                            
    i+ | yast2-packager                 | package     | 3.2.25-3.1                  | x86_64 | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-pam                      | package     | 3.1.2-6.3                   | noarch | Main Repository (OSS)                            
    i+ | yast2-perl-bindings            | package     | 3.2.0-10.4                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-pkg-bindings             | package     | 3.2.4-4.1                   | x86_64 | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-printer                  | package     | 3.2.0-3.4                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-proxy                    | package     | 3.1.6-6.4                   | noarch | Main Repository (OSS)                            
    i+ | yast2-ruby-bindings            | package     | 3.2.14-1.1                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-samba-client             | package     | 3.1.19-1.1                  | noarch | Main Repository (OSS)                            
    i+ | yast2-samba-server             | package     | 3.2.1-1.3                   | noarch | Main Repository (OSS)                            
    i+ | yast2-scanner                  | package     | 3.2.1-1.1                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-security                 | package     | 3.2.3-3.4                   | noarch | Main Repository (OSS)                            
    i+ | yast2-services-manager         | package     | 3.2.1-1.4                   | noarch | Main Repository (OSS)                            
    i+ | yast2-slp                      | package     | 3.1.11-3.4                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-snapper                  | package     | 3.2.0-3.5                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-sound                    | package     | 3.1.10-3.13                 | x86_64 | Main Repository (OSS)                            
    i+ | yast2-storage                  | package     | 3.2.16.1-3.1                | x86_64 | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-sudo                     | package     | 3.1.2-8.3                   | noarch | Main Repository (OSS)                            
    i+ | yast2-sysconfig                | package     | 3.1.4-3.4                   | noarch | Main Repository (OSS)                            
    i+ | yast2-trans-en_US              | package     | 84.87.20170719.20cc14dd-1.1 | noarch | Main Repository (OSS)                            
    i+ | yast2-trans-stats              | package     | 2.19.0-20.6                 | noarch | Main Repository (OSS)                            
    i+ | yast2-transfer                 | package     | 3.1.3-3.4                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-tune                     | package     | 3.2.0-3.5                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-update                   | package     | 3.2.2-1.3                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-users                    | package     | 3.2.11-1.4                  | x86_64 | Main Repository (OSS)                            
    i+ | yast2-vm                       | package     | 3.2.2-3.1                   | x86_64 | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-vpn                      | package     | 3.1.5-3.2                   | noarch | Main Repository (OSS)                            
    i+ | yast2-x11                      | package     | 3.1.5-3.5                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2-xml                      | package     | 3.1.2-8.1                   | x86_64 | Online updates for openSUSE Leap:42.3 (standard)
    i+ | yast2-ycp-ui-bindings          | package     | 3.2.0-1.4                   | x86_64 | Main Repository (OSS)                            
    i+ | yast2_basis                    | pattern     | 20170518-6.1                | x86_64 | Main Repository (OSS)  
    

  4. #4
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Re: Can't open Yast BootLoader Menu

    Any other work around possible? My work got stuck because of this issue. Many Thanks for your help!!!

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,732

    Default AW: Can't open Yast BootLoader Menu

    /usr/lib64/ruby/gems/2.1.0/gems/cfa-0.3.1/lib/cfa/augeaus_parser.rb
    This directory/file does not exist on my System......
    It is:
    Code:
    /usr/lib64/ruby/gems/2.1.0/gems/cfa-0.6.1/lib/cfa/augeaus_parser.rb

    Post:
    Code:
    zypper se -si ruby
    Does:
    Code:
    zypper dup
    show anything relating ruby?
    You can abort zypper dup.

  6. #6
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Re: Can't open Yast BootLoader Menu

    Please find details:
    Code:
    zypper se -si ruby
    Loading repository data...
    Reading installed packages...
    
    S  | Name                            | Type    | Version     | Arch   | Repository            
    ---+---------------------------------+---------+-------------+--------+----------------------
    i+ | libruby2_1-2_1                  | package | 2.1.9-9.1   | x86_64 | Main Repository (OSS)
    i+ | libstorage-ruby                 | package | 2.26.12-1.5 | x86_64 | Main Repository (OSS)
    i+ | ruby                            | package | 2.1-6.4     | x86_64 | Main Repository (OSS)
    i+ | ruby-common                     | package | 2.1-8.3     | noarch | Main Repository (OSS)
    i+ | ruby2.1                         | package | 2.1.9-9.1   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-abstract_method | package | 1.2.1-7.5   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-cfa             | package | 0.6.1-1.3   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-cfa_grub2       | package | 0.6.2-1.4   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-cheetah         | package | 0.5.0-3.5   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-fast_gettext    | package | 0.9.2-8.5   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-gem2rpm         | package | 0.10.1-7.13 | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-ruby-augeas     | package | 0.5.0-6.18  | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-ruby-dbus       | package | 0.9.3-7.1   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-stdlib                  | package | 2.1.9-9.1   | x86_64 | Main Repository (OSS)
    i+ | yast2-ruby-bindings             | package | 3.2.14-1.1  | x86_64 | Main Repository (OSS)
    
    

  7. #7
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Re: Can't open Yast BootLoader Menu

    Code:
    sudo zypper dup
    [sudo] password for oo:  
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you conti
    nue. See 'man zypper' for more information about this command.
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    
    The following NEW package is going to be installed:
      drm-kmp-default                                                                                                                               
                                                                                                                                                    
    1 new package to install.                                                                                                                       
    Overall download size: 2.4 MiB. Already cached: 0 B. After the operation, additional 11.7 MiB will be used.                                     
    Continue? [y/n/...? shows all options] (y): y
    Retrieving package drm-kmp-default-4.9.33_k4.4.79_4-5.2.x86_64                                            (1/1),   2.4 MiB ( 11.7 MiB unpacked)
    Retrieving: drm-kmp-default-4.9.33_k4.4.79_4-5.2.x86_64.rpm ...............................................................[done (611.5 KiB/s)]
    Checking for file conflicts: ............................................................................................................[done]
    (1/1) Installing: drm-kmp-default-4.9.33_k4.4.79_4-5.2.x86_64 ...........................................................................[done]
    Output of drm-kmp-default-4.9.33_k4.4.79_4-5.2.x86_64.rpm %posttrans script:                                                                    
        Creating initrd: /boot/initrd-4.4.92-31-default                                                                                             
        dracut: Executing: /usr/bin/dracut --logfile /var/log/YaST2/mkinitrd.log --force /boot/initrd-4.4.92-31-default 4.4.92-31-default           
        dracut: *** Including module: bash ***                                                                                                      
        dracut: *** Including module: systemd ***                                                                                                   
        dracut: *** Including module: warpclock ***                                                                                                 
        dracut: *** Including module: systemd-initrd ***                                                                                            
        dracut: *** Including module: i18n ***                                                                                                      
        dracut: Could not find FONT_MAP none!                                                                                                       
        dracut: *** Including module: drm ***
        dracut: *** Including module: plymouth ***
        dracut: *** Including module: btrfs ***
        dracut: *** Including module: kernel-modules ***
        dracut: *** Including module: resume ***
        dracut: *** Including module: rootfs-block ***
        dracut: *** Including module: suse-btrfs ***
        dracut: *** Including module: suse-xfs ***
        dracut: *** Including module: terminfo ***
        dracut: *** Including module: udev-rules ***
        dracut: Skipping udev rule: 40-redhat.rules
        dracut: Skipping udev rule: 50-firmware.rules
        dracut: Skipping udev rule: 50-udev.rules
        dracut: Skipping udev rule: 91-permissions.rules
        dracut: Skipping udev rule: 80-drivers-modprobe.rules
        dracut: *** Including module: dracut-systemd ***
        dracut: *** Including module: haveged ***
        dracut: *** Including module: usrmount ***
        dracut: *** Including module: base ***
        dracut: *** Including module: fs-lib ***
        dracut: *** Including module: shutdown ***
        dracut: *** Including module: suse ***
        dracut: *** Including modules done ***
        dracut: *** Installing kernel module dependencies and firmware ***
        dracut: *** Installing kernel module dependencies and firmware done ***
        dracut: *** Resolving executable dependencies ***
        dracut: *** Resolving executable dependencies done***
        dracut: *** Hardlinking files ***
        dracut: *** Hardlinking files done ***
        dracut: *** Stripping files ***
        dracut: *** Stripping files done ***
        dracut: *** Generating early-microcode cpio image ***
        dracut: *** Constructing AuthenticAMD.bin ****
        dracut: *** Store current command line parameters ***
        dracut: Stored kernel commandline:
        dracut:  resume=UUID=c7578ecb-2f2e-416d-80ea-21f8eef76a4a
        dracut:  root=UUID=86b32f39-ade7-4b6d-b946-72adcf205c25 rootfstype=btrfs rootflags=rw,relatime,ssd,space_cache,subvolid=482,subvol=/@/.snap
    shots/156/snapshot,subvol=@/.snapshots/156/snapshot
        dracut: *** Creating image file '/boot/initrd-4.4.92-31-default' ***
        dracut: *** Creating initramfs image file '/boot/initrd-4.4.92-31-default' done ***
        update-bootloader: 2017-11-20 03:04:49 <3> update-bootloader-4168 run_command.273: '/usr/lib/bootloader/grub2-efi/config' failed with exit 
    code 1, output:
        <<<<<<<<<<<<<<<<
        + /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg
        insmod: ERROR: could not load module part_gpt: No such file or directory
        >>>>>>>>>>>>>>>>
        Updating bootloader failed
    
    

  8. #8
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Re: Can't open Yast BootLoader Menu

    I commented out the lines, which is raising this issue.Issue solved. Yet to ascertain the side effects.

  9. #9

    Default Re: Can't open Yast BootLoader Menu

    Same issue here: When running yast - bootloader

    Error: Details: Augeas parsing/serializing error: Get did not match entire input at /usr/share/augeas/lenses│Caller: /usr/lib64/ruby/gems/2.1.0/gems/cfa-0.6.1/lib/cfa/augeas_parser.rb:366:in `report_error'


    Code:
     zypper lr -d
    #  | Alias                               | Name                                    | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ    | URI                                                                                            | Dienst
    ---+-------------------------------------+-----------------------------------------+-----------+-----------------+----------------+-----------+--------+------------------------------------------------------------------------------------------------+-------
     1 | Packman                             | Packman                                 | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.3/                            
     4 | download.opensuse.org-non-oss       | Main Repository (NON-OSS)               | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/                              |       
     5 | download.opensuse.org-non-oss_1     | Update Repository (Non-Oss)             | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/                                         |       
     6 | download.opensuse.org-oss           | Update Repository (DEBUG)               | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/debug/update/leap/42.3/oss                                        |       
     7 | download.opensuse.org-oss_1         | Main Repository (OSS)                   | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/distribution/leap/42.3/repo/oss/                                  |       
     8 | download.opensuse.org-oss_2         | Main Repository (Sources)               | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/source/distribution/leap/42.3/repo/oss/                           |       
     9 | download.opensuse.org-oss_3         | Main Update Repository                  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.3/oss                                              |       
    10 | download.opensuse.org-oss_4         | Main Repository (DEBUG)                 | Ja        | (r ) Ja         | Ja             |   99      | yast2  | http://download.opensuse.org/debug/distribution/leap/42.3/repo/oss/                            |       
    11 | google-chrome                       | google-chrome                           | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                            |       
    15 | http-download.opensuse.org-a3ce21f5 | KDE:Qt5                                 | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.3/                         |       
    16 | http-download.opensuse.org-bfd3010a | openSUSE:Leap:42.3:Update               | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/                                             |       
    17 | http-download.opensuse.org-c018c8d0 | home:ecsos                              | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://download.opensuse.org/repositories/home:/ecsos/openSUSE_Leap_42.3/                      |       
    18 | nVidia                              | nVidia                                  | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | https://download.nvidia.com/opensuse/leap/42.3/                                                |       
           
    20 | opensuse-guide.org-repo             | Libdvdcss Repository                    | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.3/                                             |       
    21 | packman.inode.at-suse               | Packman Repository                      | Ja        | (r ) Ja         | Ja             |   99      | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/                                               |       
    22 | repo-debug                          | openSUSE-Leap-42.3-Debug                | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/42.3/repo/oss/                            |       
    23 | repo-debug-non-oss                  | openSUSE-Leap-42.3-Debug-Non-Oss        | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/distribution/leap/42.3/repo/non-oss/                        |       
    24 | repo-debug-update-non-oss           | openSUSE-Leap-42.3-Update-Debug-Non-Oss | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/debug/update/leap/42.3/non-oss/                                   |       
    25 | repo-source-non-oss                 | openSUSE-Leap-42.3-Source-Non-Oss       | Nein      | ----            | ----           |   99      | NONE   | http://download.opensuse.org/source/distribution/leap/42.3/repo/non-oss/                      |
    output for:

    Code:
    zypper se -si yast
    
    S  | Name                           | Typ       | Version                     | Arch   | Repository               
    ---+--------------------------------+-----------+-----------------------------+--------+--------------------------
    i  | YaST                           | Anwendung |                             | noarch | Main Repository (OSS)    
    i+ | autoyast2-installation         | Paket     | 3.2.22-3.1                  | noarch | Main Update Repository   
    i+ | autoyast2-installation         | Paket     | 3.2.22-3.1                  | noarch | openSUSE:Leap:42.3:Update
    i+ | patterns-openSUSE-kde_yast     | Paket     | 20170518-6.1                | x86_64 | Main Repository (OSS)    
    i+ | patterns-openSUSE-yast2_basis  | Paket     | 20170518-6.1                | x86_64 | Main Repository (OSS)    
    i  | yast2                          | Paket     | 3.2.36-1.1                  | x86_64 | Main Repository (OSS)    
    i  | yast2-add-on                   | Paket     | 3.2.1-1.1                   | noarch | Main Repository (OSS)    
    i+ | yast2-apparmor                 | Paket     | 3.2.0-1.1                   | noarch | Main Repository (OSS)    
    i  | yast2-auth-client              | Paket     | 3.3.13-6.2                  | noarch | Main Repository (OSS)    
    i  | yast2-bootloader               | Paket     | 3.2.24-3.1                  | x86_64 | Main Update Repository   
    i  | yast2-bootloader               | Paket     | 3.2.24-3.1                  | x86_64 | openSUSE:Leap:42.3:Update
    i+ | yast2-branding-openSUSE        | Paket     | 3.2.3-1.1                   | noarch | Main Repository (OSS)    
    i+ | yast2-branding-openSUSE-Oxygen | Paket     | 3.2.3-1.1                   | noarch | Main Repository (OSS)    
    i  | yast2-control-center           | Paket     | 3.1.6-3.3                   | x86_64 | Main Repository (OSS)    
    i  | yast2-control-center-qt        | Paket     | 3.1.6-3.3                   | x86_64 | Main Repository (OSS)    
    i+ | yast2-core                     | Paket     | 3.2.2-6.5                   | x86_64 | Main Repository (OSS)    
    i  | yast2-country                  | Paket     | 3.2.11-1.5                  | x86_64 | Main Repository (OSS)    
    i+ | yast2-country-data             | Paket     | 3.2.11-1.5                  | x86_64 | Main Repository (OSS)    
    i  | yast2-firewall                 | Paket     | 3.2.0-1.1                   | noarch | Main Repository (OSS)    
    i  | yast2-fonts                    | Paket     | 3.1.18-6.1                  | x86_64 | Main Repository (OSS)    
    i+ | yast2-hardware-detection       | Paket     | 3.1.8-11.4                  | x86_64 | Main Repository (OSS)    
    i  | yast2-inetd                    | Paket     | 3.1.13-3.3                  | noarch | Main Repository (OSS)    
    i  | yast2-installation             | Paket     | 3.2.47-1.1                  | noarch | Main Repository (OSS)    
    i  | yast2-iscsi-client             | Paket     | 3.1.30-3.5                  | noarch | Main Repository (OSS)    
    i  | yast2-journal                  | Paket     | 3.2.0-7.2                   | noarch | Main Repository (OSS)    
    i  | yast2-ldap                     | Paket     | 3.1.14-8.5                  | x86_64 | Main Repository (OSS)    
    i  | yast2-mail                     | Paket     | 3.1.11-1.4                  | noarch | Main Repository (OSS)    
    i  | yast2-metapackage-handler      | Paket     | 3.1.4-9.3                   | noarch | Main Repository (OSS)    
    i  | yast2-network                  | Paket     | 3.2.44-6.1                  | noarch | Main Update Repository   
    i  | yast2-network                  | Paket     | 3.2.44-6.1                  | noarch | openSUSE:Leap:42.3:Update
    i  | yast2-nfs-client               | Paket     | 3.1.17-3.4                  | noarch | Main Repository (OSS)    
    i+ | yast2-nfs-common               | Paket     | 3.1.9-3.4                   | noarch | Main Repository (OSS)    
    i  | yast2-nis-client               | Paket     | 3.2.1-1.1                   | x86_64 | Main Repository (OSS)    
    i  | yast2-ntp-client               | Paket     | 3.2.14-3.1                  | noarch | Main Update Repository   
    i  | yast2-ntp-client               | Paket     | 3.2.14-3.1                  | noarch | openSUSE:Leap:42.3:Update
    i  | yast2-online-update            | Paket     | 3.1.11-8.3                  | noarch | Main Repository (OSS)    
    i  | yast2-online-update-frontend   | Paket     | 3.1.11-8.3                  | noarch | Main Repository (OSS)    
    i  | yast2-packager                 | Paket     | 3.2.25-3.1                  | x86_64 | Main Update Repository   
    i  | yast2-packager                 | Paket     | 3.2.25-3.1                  | x86_64 | openSUSE:Leap:42.3:Update
    i  | yast2-pam                      | Paket     | 3.1.2-6.3                   | noarch | Main Repository (OSS)    
    i+ | yast2-perl-bindings            | Paket     | 3.2.0-10.4                  | x86_64 | Main Repository (OSS)    
    i+ | yast2-pkg-bindings             | Paket     | 3.2.4-4.1                   | x86_64 | Main Update Repository   
    i+ | yast2-pkg-bindings             | Paket     | 3.2.4-4.1                   | x86_64 | openSUSE:Leap:42.3:Update
    i  | yast2-printer                  | Paket     | 3.2.0-3.4                   | x86_64 | Main Repository (OSS)    
    i  | yast2-proxy                    | Paket     | 3.1.6-6.4                   | noarch | Main Repository (OSS)    
    i+ | yast2-ruby-bindings            | Paket     | 3.2.14-1.1                  | x86_64 | Main Repository (OSS)    
    i  | yast2-samba-client             | Paket     | 3.1.19-1.1                  | noarch | Main Repository (OSS)    
    i  | yast2-samba-server             | Paket     | 3.2.1-1.3                   | noarch | Main Repository (OSS)    
    i  | yast2-scanner                  | Paket     | 3.2.1-1.1                   | x86_64 | Main Repository (OSS)    
    i  | yast2-security                 | Paket     | 3.2.3-3.4                   | noarch | Main Repository (OSS)    
    i  | yast2-services-manager         | Paket     | 3.2.1-1.4                   | noarch | Main Repository (OSS)    
    i  | yast2-slp                      | Paket     | 3.1.11-3.4                  | x86_64 | Main Repository (OSS)    
    i  | yast2-snapper                  | Paket     | 3.2.0-3.5                   | x86_64 | Main Repository (OSS)    
    i+ | yast2-sound                    | Paket     | 3.1.10-3.13                 | x86_64 | Main Repository (OSS)    
    i  | yast2-storage                  | Paket     | 3.2.16.1-3.1                | x86_64 | Main Update Repository   
    i  | yast2-storage                  | Paket     | 3.2.16.1-3.1                | x86_64 | openSUSE:Leap:42.3:Update
    i  | yast2-sudo                     | Paket     | 3.1.2-8.3                   | noarch | Main Repository (OSS)    
    i  | yast2-sysconfig                | Paket     | 3.1.4-3.4                   | noarch | Main Repository (OSS)    
    i+ | yast2-trans-en_US              | Paket     | 84.87.20170719.20cc14dd-1.1 | noarch | Main Repository (OSS)    
    i+ | yast2-trans-stats              | Paket     | 2.19.0-20.6                 | noarch | Main Repository (OSS)    
    i+ | yast2-transfer                 | Paket     | 3.1.3-3.4                   | x86_64 | Main Repository (OSS)    
    i  | yast2-tune                     | Paket     | 3.2.0-3.5                   | x86_64 | Main Repository (OSS)    
    i  | yast2-update                   | Paket     | 3.2.2-1.3                   | x86_64 | Main Repository (OSS)    
    i  | yast2-users                    | Paket     | 3.2.11-1.4                  | x86_64 | Main Repository (OSS)    
    i  | yast2-vm                       | Paket     | 3.2.2-3.1                   | x86_64 | Main Update Repository   
    i  | yast2-vm                       | Paket     | 3.2.2-3.1                   | x86_64 | openSUSE:Leap:42.3:Update
    i  | yast2-vpn                      | Paket     | 3.1.5-3.2                   | noarch | Main Repository (OSS)    
    i+ | yast2-x11                      | Paket     | 3.1.5-3.5                   | x86_64 | Main Repository (OSS)    
    i+ | yast2-xml                      | Paket     | 3.1.2-8.1                   | x86_64 | Main Update Repository   
    i+ | yast2-xml                      | Paket     | 3.1.2-8.1                   | x86_64 | openSUSE:Leap:42.3:Update
    i+ | yast2-ycp-ui-bindings          | Paket     | 3.2.0-1.4                   | x86_64 | Main Repository (OSS)    
    i  | yast2_basis                    | Schema    | 20170518-6.1                | x86_64 | Main Repository (OSS)
    I have tried to remove / install ruby and augeas -- same result! 42.3 was installed (no recent update).
    Anything I can do or try?

  10. #10

    Default Re: Can't open Yast BootLoader Menu

    Here as well some addtional output:

    Code:
    zypper se -si ruby
    
    S  | Name                             | Typ   | Version     | Arch   | Repository           
    ---+----------------------------------+-------+-------------+--------+----------------------
    i+ | libruby2_1-2_1                   | Paket | 2.1.9-9.1   | x86_64 | Main Repository (OSS)
    i+ | libstorage-ruby                  | Paket | 2.26.12-1.5 | x86_64 | Main Repository (OSS)
    i+ | ruby                             | Paket | 2.1-6.4     | x86_64 | Main Repository (OSS)
    i+ | ruby-common                      | Paket | 2.1-8.3     | noarch | Main Repository (OSS)
    i+ | ruby2.1                          | Paket | 2.1.9-9.1   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-abstract_method  | Paket | 1.2.1-7.5   | x86_64 | Main Repository (OSS)
    i  | ruby2.1-rubygem-cfa              | Paket | 0.6.1-1.3   | x86_64 | Main Repository (OSS)
    i  | ruby2.1-rubygem-cfa_grub2        | Paket | 0.6.2-1.4   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-cheetah          | Paket | 0.5.0-3.5   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-fast_gettext-1_2 | Paket | 1.2.0-3.3   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-gem2rpm          | Paket | 0.10.1-7.13 | x86_64 | Main Repository (OSS)
    i  | ruby2.1-rubygem-ruby-augeas      | Paket | 0.5.0-6.18  | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-rubygem-ruby-dbus        | Paket | 0.9.3-7.1   | x86_64 | Main Repository (OSS)
    i+ | ruby2.1-stdlib                   | Paket | 2.1.9-9.1   | x86_64 | Main Repository (OSS)
    i+ | yast2-ruby-bindings              | Paket | 3.2.14-1.1  | x86_64 | Main Repository (OSS)

    Code:
    zypper se -si augeas
    
    S  | Name                        | Typ   | Version    | Arch   | Repository           
    ---+-----------------------------+-------+------------+--------+----------------------
    i+ | augeas                      | Paket | 1.9.0-82.2 | x86_64 | home:ecsos           
    i+ | augeas-lenses               | Paket | 1.9.0-82.2 | x86_64 | home:ecsos           
    i+ | libaugeas0                  | Paket | 1.9.0-82.2 | x86_64 | home:ecsos           
    i  | ruby2.1-rubygem-ruby-augeas | Paket | 0.5.0-6.18 | x86_64 | Main Repository (OSS)
    zypper dup - does not produce any output related to ruby!

    [QUOTE=hastagger;2849401]Same issue here: When running yast - bootloader
    Error: Details: Augeas parsing/serializing error: Get did not match entire input at /usr/share/augeas/lenses│Caller: /usr/lib64/ruby/gems/2.1.0/gems/cfa-0.6.1/lib/cfa/augeas_parser.rb:366:in `report_error'

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •